{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "DatatourismeWebAppBundle:email:_layout.html.twig" %}
{% trans_default_domain 'emails' %}

{% block subject -%}
    {{ "label.notification" | trans }} : {{ include(template_from_string(message_tpl), context) | striptags | raw }}
{%- endblock %}

{% block body %}
    <p> {{ "text.notification_received" | trans }} :</p>

    <p>{{ include(template_from_string(message_tpl), context) }}</p>

    {% if description_tpl is defined %}
        {{ include(template_from_string(description_tpl), context) }}
    {% endif %}

    {% if route is defined %}
        <table border="0" cellpadding="0" cellspacing="0" class="btn btn-primary">
            <tbody>
            <tr>
                <td align="left">
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tbody>
                        <tr>
                            <td> <a href="{{ url(route, route_parameters) }}" target="_blank">
                                {{ route_title ?: ("btn.see_on_platform" | trans)}}
                            </a> </td>
                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            </tbody>
        </table>
    {% endif %}

    <p>{{ "text.signature" | trans }}</p>
{% endblock %}